{% extends 'base.html' %}
{% block title%}
  {{recipes_object.title}} - Scrumptious Recipes
{% endblock title %}
{% block content %}
<div>
  <h1>{{ recipes_object.title }}</h1>
  <p>Written by {{ recipes_object.author.username|default:"anonymous" }}</p>
  <img <img
      src="{{ recipes_object.picture|default:'https://via.placeholder.com/150'}}"
      alt="{{ recipes_object.description }}"
    />
  <div>4.3 stars</div>
  <p>{{ recipes_object.description }}</p>
</div>
<h2>Ingredients</h2>
<table>
  <thead>
    <tr>
      <th>Amount</th>
      <th>Food Item</th>
    </tr>
  </thead>
  <tbody>
    {% for ingredient in recipes_object.ingredients.all %}
    <tr>
      <td>{{ ingredient.amount }}</td>
      <td>{{ ingredient.food_item }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
<h2>Steps</h2>
<ol>
  {% for step in recipes_object.steps.all %}
    <li>{{ step.instruction }}</li>
  {% endfor %}
</ol>
{% endblock content %}
